//預設值事件
export function defaultEvent() {
    //取得預設值
    axios.get('./api/defaults').then((response) => {
        response.data.forEach((data) => {
            let liTag = '';
            liTag = `<li><p class="li-${data.DEFAULT_TYPE}">${data.DEFAULT_VALUE}</p> <i class="far fa-trash-alt delete"></i></li>`;
            $(`#default-${data.DEFAULT_TYPE}`).append(liTag);
        });
    });

    //點擊
    $(document).on('click', 'p[class^=li-]', function () {
        //取得預設值的類型
        let defaultType = $(this).attr('class').replace('li-', '');
        //取得該預設值的輸入框
        const inputbar = $(`#input-${defaultType}`);
        //類型為(主席,紀錄,地點)覆蓋當前輸入框
        defaultType == 'charperson' || defaultType == 'minute' || defaultType == 'venue'
            ? inputbar.val($(this).text())
            : inputbar.val((index, val) => {
                  return val ? val + ' ' + $(this).text() : $(this).text();
              });
    });

    //添加
    $(document).on('click', '.dropbtn', function () {
        let BtnID = $(this).attr('id').replace('addBtn-', '');
        const inputbar = $(`#input-${BtnID}`);
        if (inputbar.val()) {
            const value = inputbar.val();
            const type = inputbar.attr('id').replace('input-', '');
            $(`#default-${type}`).append(
                `<li><p class="li-${type}">${value}</p> <i class="far fa-trash-alt delete"></i> </li>`
            );
            axios.post('./api/defaults', { value: value, type: type });
        }
    });

    //刪除
    $(document).on('click', '.delete', function () {
        const type = $(this).prev('p').attr('class').replace('li-', '');
        const value = $(this).prev('p').text();
        $(this).closest('li').remove();
        //delete request needs data object to parser the body
        axios.delete('./api/defaults', { data: { value: value, type: type } });
    });
}
